RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Static Public Member Functions | List of all members
DeltaVSoft.RCFProto.RCFProto Class Reference

## Static Public Member Functions
static void | Init ()
| Reference-counted initialization of RCF framework. May be called multiple times (see deinit()). More...
static void | Deinit ()
| Reference-counted deinitialization of RCF framework. For actual deinitialization to take place, deinit() must be called as many times as init() has been called. More...
static void | EnableLogging (LogTarget logTarget, int logLevel, string logFormat)
| Configures logging for the RCF runtime. logTarget is where the log output will appear. loglevel is the detail level of the log, ranging from 0 (no logging), 1 (errors-only logging) to 4 (maximum detail logging). logFormat is an optional parameter describing the format of the log output. More...
static void | DisableLogging ()
| Disables logging for the RCF runtime. More...
static void | SetDefaultSslImplementation (SslImplementation sslImplementation)
| Sets the default SSL implementation to use (OpenSSL or Schannel). The default is OpenSSL. More...
static SslImplementation | GetDefaultSslImplementation ()
| Gets the default SSL implementation. More...

## Member Function Documentation

static void DeltaVSoft.RCFProto.RCFProto.Deinit | ( |  | ) |
| static

Reference-counted deinitialization of RCF framework. For actual deinitialization to take place, deinit() must be called as many times as init() has been called.

static void DeltaVSoft.RCFProto.RCFProto.DisableLogging | ( |  | ) |
| static

Disables logging for the RCF runtime.

static void DeltaVSoft.RCFProto.RCFProto.EnableLogging | ( | LogTarget | logTarget,
|  | int | logLevel,
|  | string | logFormat
| ) |  |
| static

Configures logging for the RCF runtime. logTarget is where the log output will appear. loglevel is the detail level of the log, ranging from 0 (no logging), 1 (errors-only logging) to 4 (maximum detail logging). logFormat is an optional parameter describing the format of the log output.

static SslImplementation DeltaVSoft.RCFProto.RCFProto.GetDefaultSslImplementation | ( |  | ) |
| static

Gets the default SSL implementation.

static void DeltaVSoft.RCFProto.RCFProto.Init | ( |  | ) |
| static

Reference-counted initialization of RCF framework. May be called multiple times (see deinit()).

static void DeltaVSoft.RCFProto.RCFProto.SetDefaultSslImplementation | ( | SslImplementation | sslImplementation | ) |
| static

Sets the default SSL implementation to use (OpenSSL or Schannel). The default is OpenSSL.

The documentation for this class was generated from the following file:

- swig/RCFProto.cs